%  clex14b.m
%  Modified version of clex14a.m ; Lucas asset pricing model.
%  Modified to have seasonal endowment pattern: random
%  a.r. pattern generated a la simsex.m.
% Technology 4 (Growth)
% Preferences 3 (Habit persistence)
% We specialize the model to get a version of Lucas's pure endowment
% asset pricing economy
gam=0
gamma=[gam 0]'
phic=[1 0]'
phig=[0 1]'
phi1=.00001
phii=[0 -phi1]'
deltak=.95
thetak=1
beta=1/1.05
%  Make the endowment pattern a deterministic seasonal.
%ud=[5 1 0; 0 0 0]
aa=[0 -.2439 0 .2439 0 -.2439 0 .2439] ;
a22=[1 zeros(1,8);zeros(8,1) compn(aa)];
ud=[5 1 0 0 0 0 0 0 0; zeros(1,9)];
ub=[30 0 0 0 0 0 0 0 0];
c2=[0 1 0 0 0 0 0 0 0]'
lambda=0;
pih=1
deltah=.9
thetah=(1-deltah)
x0=[3 125 1 0 0 0 0 0 0 0 0]'
