%  jan25e.m
%  computes graph for determining equilibrium R, c for
%  Townsend model with seignorage
beta=.95;
g=.2;


%  u(c) = c^(1-delta)/(1-delta)

delta=1;   % logarithmic case


c=[.25:.005:1-g];
s=ones(1:length(c));
rhs=(c./((1-g)*s- c)).^(-delta);
lhs=beta*((1-g)*s-c)./(s-c);
lhs=lhs';
rhs=rhs';
%plot(c',lhs),pause
%plot(c',rhs),pause
plot(c,[lhs rhs]),pause
!del town4.met
!del town4.ps
meta town4
!gpp town4 /dps


