function[GD,ww]=entrop1(sys1)
% function[GD,ww]=entrop1(sys1)
%  [GD,ww]=entrop2(sys1)
%  plots trace G(w)' G(w) against w \in [0 pi].  
%  sys1 is a matlab system (as computed by ball4)  


%sys1=ss(ao,c,hh,d,1);


ww=linspace(0,pi);   
G1=freqresp(sys1,ww);   %  chao: this is the frequency response (a complex
			%  number.

nw = length(ww);
[r1,c1,p1] = size(G1);



for i = 1:p1
   
   GG1(:,:,i) = G1(:,:,i)*G1(:,:,i)';
   
   GD1(:,:,i) = trace(GG1(:,:,i));
end

   GD = [reshape(GD1,1,p1)];


   plot(ww,GD,'b-')
   
