% clexcon.m
%
%  Consumption example, from consumption chapter
%  three kinds of good 
beta=1/1.05;
gam=1/beta -1;    % jones-manuelli growth condition


phicc=[1 1 1];  %  relative prices of consumption goods are pinned down
                % by this vector when phi1 = 0.
phi1=.0001;

phic=[phicc; zeros(1,3); 0 -1 0 ; 0 0 -1];



phii=[1  0 0; phi1 0 0 ; 0 1 0; 0 0 1];

phig=[0 1 0 0]';

gamma=[gam 0 0 0]';


deltak=1;
thetak=[1 0 0];



lambda=[.5 0 0 ; 0 .2 0; 0 0 -5];    % Good 1 is durable; good 2 is
                                    % nondurable;  good3 is habitual


deltah=[.8 0 0; 0 .0002 0 ; 0 0 .6];

pih=[ .5 0 0; 0 1 0; 0 0 6];   %

thetah=eye(3)-deltah;

a22=[1 0 0; 0 .8 0; 0 0 .9];
c2=[0 0; 1 0; 0 1];

ub=[30 0 0; 30 0 0; 30 0 0];

ud=[10 0 1; 0 0 0; 0 0 0; 0 0 0];




