%   mo100.m
%   Does calculations to find distribution of product of two
%   distributions, one gamma, the other log normal.

x=[.001:.02:18];
y=log(x);
[f,m1,m2,m3]=mo9(2,2,x);
g1=f.*x;
plot(y',g1'),pause
h1=cumsum(g1);
plot(y',h1'),pause

%  Try out lognormal piece

x=[.001:.02:18];
y=log(x);
[f,m1,m2]=mo30(0,1,x);
g2=f.*x;
plot(y',g2'),pause
h2=cumsum(g2);
plot(y',h2'),pause

%  Now compute the fft of g1 and g2
xg1=fft(g1);
xg2=fft(g2);

xg=xg1.*xg2;    %  compute product of fft's

g=ifft(xg);      % compute the distribution of the sum.

%    g is the density of log (x1*x2)=z
%    To deduce the density of x1*x2, take g(z)/exp(z)

zz=exp(y);      %   y is the x-ordinate of g
gg=g./zz;               %  this should be the distribution

plot(zz',real(gg)')
