%percept.m
%  A two-input, one-output perceptron.  July 27, 1991

%  initialize weights
rand('uniform')
w=rand(3,1)*.05-.025;
k=30;       %  parameter setting for sigmoidal function

%  inputs and outputs to be learned:
%
%    x1   x2       y
%
%    0    0        0
%    0    1        0
%    1    0        0
%    1    1        1
%
x=[0 0;0 1; 1 0; 1 1];
x=[ones(4,1) x];         %  we've entered the constant as the first columnn of x
y=[0 0 0 1]';
%  y=[0 1 1 1]';% Here's an alternative pattern
%  y=[1 0 0 1]';    % Here's a pattern that can't be learned
%  y=[0 0 0 0]';

z=x*w;

yh=ones(4,1)./(1+exp(-(k*z)));

gamma=.8;     % gamma is the relaxation parameter

for i=1:200

for j=1:4
w=w+gamma*(y(j)-yh(j))*x(j,:)';

%end
z=x*w;

yh=ones(4,1)./(1+exp(-(k*z))), pause(2)
end

end
