% run2f.m  Generates figures for Lucas-Prescott model
% Generates figures 11, 12a and 12b for chapter 3.
%  Computes aspects of a linear recursive equilibrium
clex15a
%
echo off
solvea
disp('create arma repres for c,k, and mc')
sy=[sc;si]
ii=1
ni=40
%[num,den]=aarma(ao,c,sy,ii)
disp('create impulse response for c,k, and mc in response to endow. shock')
z1=aimpulse(ao,c,sy,ii,40)
z2=aimpulse(ao,c,sy,2,40)
										
clg

%subplot(221),plot(z(:,1)),title('impulse response of c'),subplot(222),...
%plot(z(:,2)),title('impulse response of k'),subplot(223),plot(z(:,3)),...
%title('response of multiplier'),pause
clg
%subplot(221),plot(z),title('impulse response '),pause
 
!rm fig611.met
!rm fig612.met
!rm fig61a.met
!rm fig62b.met
!rm fig611.ps
!rm fig612.ps
!rm fig61a.ps
!rm fig62b.ps
v=[0 40 0 1]
%axis(v)
jj=[0:38];
zz1=z1(2:40,:);
plot(jj,zz1);
hold
plot(jj,zz1,'*')
gtext('investment'),pause
gtext('consumption'),pause
hold
meta fig611
%axis
%axis
zz2=z2(2:40,:);
plot(jj,zz2);
hold
plot(jj,zz2,'*')
gtext('investment'),pause
gtext('consumption'),pause
hold
meta fig612
axis
axis

%return
sy=[sc;si;sk;mc]
disp('simulate c, i, k, and mc')
nnc=3;
steadst
x0=zs
t1=80
nt=80
asimul
clg



subplot(221),plot(y(:,1)),title('consumption'),subplot(222),plot(y(:,2)),...
title('investment'),subplot(223),plot(y(:,3)),title('capital'),...
subplot(224),plot(y(:,4)),title('shadow price'),pause
meta fig62a
clg
v=[0 80 0 30]
axis(v)
plot(y(:,1:2))  %  title('c and i'),pause
gtext('investment'),pause
gtext('consumption'),pause
meta fig62b
axis
%axis
!gpp fig611.met -dps
!gpp fig612.met -dps
!gpp fig62a.met -dps
!gpp fig62b.met -dps
return


disp('simulate asset prices')
ydata=y;
pay=sd(1,:)
asseta
clg
subplot(221),plot(y(:,3)),title('price of asset'),subplot(223),plot(y(:,4))...
,title('return on asset'),pause
										
sdata=y;
clg
subplot(221),plot(R1),title('one period price'),...
subplot(222),plot(R2),title('two period price'),...
subplot(223),plot(R5),title('five period price'),pause
										
