%  Book1a.m
%  modification of book1.m
%  Creates the two 'growth' examples
%
%     This is the code used to create the examples reported
%     in      chapter 1 of Hansen and Sargent
%
%
%  Create figure 1
%  Create figure 6
%  rand('normal')
a=[0 0 0 1]
A=compn(a)
C=zeros(4,1)
C(1,1)=1;
rand('normal')
w=rand(150,1);

G=eye(4)
D=zeros(4,1)
w=rand(150,1);
x0=[10  0 0 0]'
a=[1.025 0 0 0]
A=compn(a)
y=dlsim(A,C,G,D,w,x0);
y6=y(:,1);
 plot(y6),pause% ,title('growth with homoskedastic noise'),pause
%meta fig6
%  Create figure 7
n=150
t=[1:n]';
t=t./2;
g=(1.025).^t;
wg=w.*g;
y=dlsim(A,C,G,D,wg,x0);
y7=y(:,1);
 plot(y7),pause %title('growth with heteroskedastic noise'),pause
%meta fig7

