%  Creates matrices for an economy with technology 3 and
%  preference specification 2.
%  Technology 3 is the multi-period adjustment costs or
%  "time to build" techology.
%  Preference specification 2 is the "consumer durables"
%  specification.
%  The parameters of phi and gamma (=gam) are to be specified
%
%  We have set things up to have a seasonal preference shock
%  and a first order a.r. technology shock.
phi=[1 .8 3 1]
gam=.3
deltak=[.92 1 ; 0 0]
thetak=eye(2)
phic=[1 0 0 0 0]'
phig=[0 0 0 0;-eye(4)]
phii=[0 0;phi(1) phi(2);phi(2) 0; phi(3) 0;0 phi(4)]
gamma=[gam 0; 0 0; 0 -phi(2);0 0 ; 0 0]
deltah=.9; lambda=.2;
thetah=1;
pih=0;
a22=[.9 0; 0 .9]
beta=.95;
a22=[1 0 0 0 0 0;0 0 0 0 .7 0; 0 1 0 0 0 0;0 0 1 0 0 0;0 0 0 1 0 0;...
   0 0 0 0 0 .8]
c2=[0 0;1 0;0 0;0 0; 0 0; 0 .5]
ud=[5 0 0 0 0 1]
ud=[ud;zeros(4,6)]
ub=[30 1 0 0 0 0]
x0=[140.7 30.2 2.19 1 0 0 0 0 0]'
