%  CLEX4.M
%  Creates matrices for an economy with a technology
%  that combines aspects of techonogies 2 and 4.
%  There are adjustment costs.
%  I have modified the techology so that now
%
%     c(t) + i(t) = gam*k(t-1) + d1(t)
%
%  Preference specification 2 is consumer durables.
%  The parameters of phi and gamma (=gam) are to be specified
%  This creates a version of Hall's model, augmented with adjust.
%  costs.  
gam=.11
gamma=[gam 0]'
deltak=.95
phic=[1 0]'
phii=[1 .01]'
phig=[0 -1]'
thetak=1
pih=1
deltah=0
lambda=0
thetah=0
beta=1/1.05;
a22=[1 0 0;0 .3 0; 0 0 .4]
c2=[0 0;eye(2)]
ud=[1  1 0;  0 0 0]
ub=[30 0 0]
x0=[0 450  1 0 0]'
