%  dist.m
%  run after jov2.m

%The following code, appended to 'finsearch.m' should compute the
%distribution of wages in the economy for each period of tenure.



% Compute wage distributions

delta=zeros(t+1,n);

delta(1,:)=mu';
delta(1,1:rho(1)-1)=zeros(1,rho(1)-1);


Q=zeros(t+1,1);
Q(1)= 1- sum(delta(1,:));   % Rejection probability

delta(1,:)=delta(1,:)/sum(delta(1,:));

for j=2:t+1,

  delta(j,:)=delta(j-1,:)*mkv2(q,j-1,n,m);
  delta(j,1:rho(j)-1)=zeros(1,rho(j)-1);

  Q(j)=1-sum(delta(j,:));    %  quit probabilities

  delta(j,:)=delta(j,:)/sum(delta(j,:));
end


mean=delta*w;   %  mean of wages by tenure

plot(w,delta,'+'),title('wage distributions'),pause
plot(mean),title('mean wages'),pause


