%  george5.m
%  Learning and chaos in the classical case
%
%  Preferences a*c0 - .5*a*co^2 + c1
%  subject to p(t) c0 =b
%         p(t+1) c1 = p(t+1)*w -b
rand('normal')
b=1;
a=3.83;
i0=20;
n=5000;
p=zeros(n,1); beta=zeros(3,n);pih=zeros(n,1);error=zeros(n,1);
beta1=zeros(3,1);beta0=beta1; r0=eye(3);
%r0=rdata;
beta0=[a -a^2 +a^2]';
beta0=beta0+rand(3,1)*.5;
%beta0=[4 -11 8.5]';
beta0=[3.5 -10 10]';
pbar=a*b/(a-1);
p(1)=pbar+.01*rand;
p(2)=pbar+.01*rand;
p(3)=pbar+.01*rand;
for i=4:n
x=[1 1/p(i-3) 1/p(i-3)^2]';
r1 = r0 + (1/(i+i0))*(x*x' - r0);
beta1 = beta0 + (1/(i+i0))*inv(r1)*x*...
          (p(i-2)/p(i-1) - beta0(1) - beta0(2)/p(i-3)...
        -beta0(3)*(p(i-3)^(-2)));

error(i)=(p(i-2)/p(i-1) - beta0(1) - beta0(2)/p(i-3)...
        -beta0(3)*(p(i-3)^(-2)));
beta(:,i)=beta0;
beta0=beta1;
r0=r1;
pih(i)=beta1(1)+beta1(2)/p(i-1)+beta1(3)*p(i-1)^(-2);
p(i)=1/(1/b - pih(i)/(a*b));
end
plot(p),pause

