% hanex2.m
% Displayes exercise of two separated hall economies, which are
% then permitted to link and to trade.
%  First compute equilibria for the separated economies
%bewl2ha
%bewl2hb
% Next, compute equilibria for the two economies integrated
%bewley2h
load hanex;    % c1=ya(:,1)+yb(:,1);
%c2=z(:,3);
%diff= c1-c2;
clg
%plot(diff)
plot([ya(:,1),yb(:,1)]),title('consumption allocations in isolated econs'),...
pause
plot([y1(:,1),y2(:,1)]),title('consump alloc in integrated econ'),pause,...
cc1=([ya(:,1),yb(:,1)]);   %  consumption in isolated econs
cc2=([y1(:,1),y2(:,1)]); %   consumption in integrated econs
corrcoeff(cc1(30:100,:))   % corr of consump in isolated econs
corrcoeff(cc2(30:100,:))   %  corr of consump in integrated econs
capiso=ya(:,4)+yb(:,4);   %capital in isolated economies
plot(capiso),title('capital is isolated econs'),pause
capint=yy(:,5);   % capital in integerated economy
plot(capint),title('capital in integrated econ'),pause
plot([za(40:99,3)+zb(40:99,3),zass(40:99,3)]),...
  title('asset prices in isolated and integ'),pause
reta=za(:,4);
retb=zb(:,4);
ret=zass(:,4);
plot([(reta+retb)/2,ret]),title('returns in isolated and integ'),pause
corrcoeff([reta,retb,ret])   %  correlation of returns
cov([reta,retb,ret])       %covariance of returns
