%  jan25.m
%  computes graph for determining equilibrium R, c for
%  Townsend model with seignorage
beta=.95;
g=.2;


%  u(c) = c^(1-delta)/(1-delta)

delta=1; %logarithmic case

R=[.01:.01:1];
s=ones(1:length(R));
m=s;
m=((beta*R.^(1-delta)).^(1/delta))./(1+(beta*R.^(1-delta)).^(1/delta));
rhs=m.*(1-R);
lhs=g*s;
lhs=lhs';
rhs=rhs';
%plot(R,lhs),pause
%plot(R',rhs),pause
plot(R,[lhs rhs]),pause
meta town2
! gpp town2 /dps

