%  larsinfl.m
%
%  generates hansen inflation example


gamma=.3;
alpha=.8;
a=[1  -(1 + alpha) alpha];
b=1;
y0=1;y1=1;
yy=[y0;y1];
se=.3;
mu=.98;

rand('normal')
n=100;
u=se*rand(n,1);
u=u+gamma*ones(n,1);
y=filter(b,a,u,yy);

plot(y),title('y'),pause
mut=mu.^[1:n];
mut=mut';
v=y.*mut;
plot(v),title('v'),pause

R=v(25:n-1)./v(26:n);

plot(R),title('R'),pause

return











phi=.5;
mu=.96;

x=zeros(n,1);

x(1)=5;
for i=2:n

x(i)= phi  + x(i-1) + u(i);

end

v=mu.^[1:n]'.*x;

plot(x),title('x'),pause
plot(v),title('v'),pause

ret=v(2:n)./v(1:n-1);
plot(ret),title('return on currency'),pause

