% seasex2.m   version of
%  Twodiff2.m
%  Comment: March 25, 1990  This version
%  does all of the calculations reported in the Hansen-Sargent paper.
% Continues calculations for twodifficulties paper.
%  run twodiff first
seasex1
sy=[sc;mc]
z1=aimpulse(ao,c,sy,1,20)   % z1 is impulse response to demand(pref)innovation
z2=aimpulse(ao,c,sy,2,20);  % z2 is impulse response to supply (endow) innovn
										
% Now compute innovations representation
D=zeros(2);
R=.00000001*eye(2);
varma
varma20
yy1=zo1(1:20,:);
yy2=zo2(1:20,:);
Vfun=V1;
Vnon=sy*c*c'*sy';      % covariance of innov in y from nonfun representn
sy=[mc;sc]
varma
varma20
zz1=zo1(1:20,:);
zz2=zo2(1:20,:);
clg
subplot(221),plot(z1),title('res to demand innov'),...
subplot(222),plot(z2),title('res to supply innov'),pause
clg
subplot(221),plot(yy1),title('res to innov in q'),...
subplot(222),plot(yy2),title('res to innov in p'),...
subplot(223),plot(zz2),title('res to innov in p'),...
subplot(224),plot(zz1),title('res to innov in q'),pause
clg
Z=[z1,z2,yy1,yy2,zz1,zz2]
%Vfun=V1;
dec7      % computes response of fund innovs to innovs
	  % in information set of agents.
%twodiff9  %computes stuff for graphs
										

