% BEWLEY3.M
%  Computes equilibrium allocations of heterogeneous agent
%  economy with a.r. endowment processes.
clex35a
solvea
ubi=ub1
udi=ud1
t1=100
x0=x0'
										
										
%  simulate allocation to agent 1, who owns all of the initial capital stock.
										
k0i=x0(2)
heter
sy=[sci;sca;sdi]
simulha
y1=y
ubi=ub2
udi=ud2
										
%  simulate allocation to agent 2, who owns no capital
k0i=0;
heter
sy=[sci;sca;sdi]
simulha
y2=y
z=[y1(:,1),y2(:,1),y2(:,2),y1(:,3),y2(:,3)]
s1=y1(:,3)-y1(:,1);    % compute savings of agent 1
s2=y2(:,3)-y2(:,1);    % compute savings of agent 2
clg
subplot(221),plot([y1(:,1),y2(:,1)]),title('consn allocations'),...
subplot(222),plot(s1),title('saving of agent 1'),subplot(223),plot(s2),...
title('saving of agent2'),pause
