%  check2.m
%  This is designed to check the calculation of the
%  mongrel preference ordering, to make sure that it
%  produces the correct answer in the case that
%  the preferences are identical.
%  
%  It works.  The equilibrium is computed in three different
%  ways.  Both prices and quantities agree.

%%   May 4, 1992.   Tom Sargent
rand('normal')
clex11h2
ud
alpha=.75;
negishi2
a22=A4;
c2=B4;
ub=C4;
lambda=Lambdah;
thetah=Thetah;
deltah=Deltah;
pih=Pih;
%ub=ub1+ub2;

[nd,nz]=size(ub);
ud=zeros(2,nz);
X0=[0 0 k0 1 0 0 h01 h02 0 0 0 0 ]';  % note how we put initial conditions
%                  for h01 and h02 into the shock process and zeroed
%                  them out for the mongrel household capital stocks
x0=X0;
u=rand(20,2);
solvea
sc1=sc;
si1=si;
ao1=ao;
co1=c;
nx=min(size(c));
y1=dlsim(ao,c,[sc;si],zeros(2,nw),u,x0);
p1=dlsim(ao,c,[mc;mi],zeros(2,nw),u,x0);
%%%%%%%%%%%%%%%%%%%%%


clex11h2
alpha=.5
negishi2

a22=A4;
c2=B4;
ub=C4;
lambda=Lambdah;
thetah=Thetah;
deltah=Deltah;
pih=Pih;

[nd,nz]=size(ub);
ud=zeros(2,nz);

solvea
sc2=sc;
mc2=mc;
si2=si;
sh2=sh;
co2=c;
ao2=ao;

y2=dlsim(ao,c,[sc;si],zeros(2,nw),u,X0);
p2=dlsim(ao,c,[mc;mi],zeros(2,nw),u,X0);

clex11h2

lambda=lambda1;
thetah=thetah1;
deltah=deltah1;
pih=pih1;
ub=ub1+ub2;
[nd,nz]=size(ub);
ud=zeros(2,nz);
solvea
x0=[(h01+h02) k0 1 0 0]';
y3=dlsim(ao,c,[sc;si],zeros(2,nw),u,x0)
p3=dlsim(ao,c,[mc;mi],zeros(2,nw),u,x0);

lambda=Lambdah;
theta=Thetah;
pih=Pih;
deltah=Deltah;


