%  clex12b.m
%  modified for the testcon4.m example on robustness
% Technology 4 (Growth)
% Preferences 3 (Habit persistence)
% We modify the Jones-Manuelli example to get a version of Hall's
% model
% We now raise the adjustment costs.
% This economy has the property that the steady state capital stock
% for the nonstochastic version is zero.
% Raising the adjustment costs parameter accelerates convergence
% to the steady state capital stock.
gam=.1
gamma=[gam 0]'
phic=[1 0]'
phig=[0 1]'
phi1=.2
phii=[0 -phi1]'    %  when first component is zero, have lucas-prescott economy
deltak=.95
thetak=1
beta=1/1.05

a22=[1 0 0 0 0;
     0 0 0  0 0;
     0 1  0  0 0 ;
     0 0   0  0  0;
     0 0   0  1  0];

ub=[30 0 0 0 0];

x0=[3 150 1 0  0 0 0];

ud=[5 1 0 0 0 ;
    0 0 0 0 0 ];    %  only pull off the first shock


c2=[0 1 0 0 0 ; 0 0 1 0 0]'
lambda=0;
pih=1
deltah=.9
thetah=(1-deltah)
