% CLEX6.m
% Preference specification 1 and a Lucas tree technology with
% labor also.
% There is no capital.  The technology is
%
%   c(t) = d(t) + phi*g(t)
%
% where d(t) is the dividend from the Lucas tree.
%
a22=[1 0; 0 0]
c2=[0 1]'
ub=[30 0]
ud=[5 1;0 0]
lambda=0
pih=1
deltah=0
thetah=0
deltak=0
thetak=0
phi=1
phic=[1 0]'
phig=[-phi .00001]'
phii=[0 1]'
gamma=[0 0]'
x0=[0 0 1 0]'
beta=.95
