% CLEX7.m
% Preference specification 1 and a Lucas tree technology with
% labor also.
% There is capital now. The technology is
%
%   c(t) + i2(t) = gamma(1)*k1(t-1) + gamma(2)*k2(t-1) + d(t)
%
%    k1(t) = i1(t)
%    k2(t) = deltak(2,2) * k2(t-1) + i2(t)
%
%     g1(t) = i1(t)
%     g2(t) = phi2*i2(t)
%
% where d(t) is the dividend from the Lucas tree.
%
a22=[1 0; 0 .8]
c2=[0 1]'
ub=[30 0]
ud=[5 1;0 0;0 0]
lambda=0
pih=1
deltah=0
thetah=0
deltak=[0 0; 0 .95]
thetak=eye(2)
phic=[1 0 0]'
phig=[0 0; -1 0; 0 -1]
phi2=5
phii=[0 1; 1 0; 0 phi2]
gamma=[.5 .7  ;0 0; 0 0]
x0=[0 0 5 1 0]'
beta=1/1.05
