%   Creates version of Hall model with the technology
%   shock to be interpreted as government expenditures
%   This was created in order to study Larry Christiano's
%   conjectures about permanent and temporary government
%   expenditures.
%   The first technology shock is made equal to minus the
%   level of government purchases.
%    The model is to be used with government expenditures
%    being a random walk, then a white noise.
beta=.95
gamma=[.11  0]'
phic= [1 0]'
phii=[1   -.5]'
phig=[0 1]'
deltak=.95
deltah=0
thetah=0
thetak=1
lambda=0
pih=1
a22=[1 0 0;0 1 0; 0 0 0]
ud=[-5 -1 0; 0 0 0]
ub=[30 0 1]
c2=[0 0; 1 0; 0 1]
x0=[0 50 1 0 0]'
