function P=mkv2(q,t,n,m)
% function P=mkv2(q,t,n,m)
%  Markov chain for q, t, n, m



P=zeros(n,n);
P(1,1)=1-(q^t); P(1,m+1)=q^t;
P(n,n)=1-q^t;   P(n,n-m)=q^t;


for j=2:m
  
  P(j,j)=1-q^t; P(j,m+j)=q^t; 
  P(n-j+1,n-j+1)=1-q^t; P(n-j+1,n-j+1-m)=q^t;

end

for j=m+1:n-m;

  P(j,j)=1-2*(q^t);

  P(j,j-m)=q^t;  P(j,j+m)=q^t;

end

