%  rob4c.m
%  get graphs for permanent income example for Stanford pape

[GD1,ww]=entrop1(sys1);

[GD2,ww]=entrop1(sys2);

[GD3,ww]=entrop1(sys3);
close all
figure(1)
plot(ww,GD1,'-g')
hold on
plot(ww,GD2,'--b')
plot(ww,GD3,'-.r')
hold off

figure(2)
subplot(1,2,1)
axis([0 pi -inf inf])
semilogy(ww,GD1,'-b')
hold off

subplot(1,2,2)
axis([0 pi 0 2])
hold on
plot(ww,GD3./GD1,'-g')
plot(ww,GD3./GD1,'vg')
plot(ww,GD2./GD1,'--b')
plot(ww,GD2./GD1,'db')
gtext('\sigma = - .0075')
gtext('\sigma = - .015')
hold off

print -deps adjcost.eps 
