%  socall2.m
%  Runs social security program for lq-gaussian economy
%  
%
clex11              %  reads in economy


a22(2,2)=.8;      % wage growth process


ud(1,2)=.25;        % lower the variance of the labor income innovation

ud1=ud;             %  These are the two labor income pickers



ud2=[0 0 0;
     0 0 0];





socsec2      %  This prepares economy   before submission of ericc2.m


T=55;  T1=35;     %  T is number of years of life left; T1 is years
                  %  to retirement.


PT1=zeros(5);

PT1(2,2)=-8;      % terminal value function penalizes capital holdings
                  % (asset holdings) at death to rule out Ponzi schemes

sig=.0502;     % Risk sensitivity parameter

%sig=0;

 x0=[0 0 1 0 0];     %  initial condition [h0 k0 1 0 0];
%x0=[0 10 1 0 0];
%x0=[0 10 1 0 0];


ericc2   %  computes decision rules

plot([meanc meani]),title('cons and invest'),pause
plot([meank]),title('assets'),pause
