% tallar.m
%  Solves Euler equations of Tallarini-Hansen neurosis

beta=1/1.05;
phi=.5;
deltak=.95;
sigma=-.0000000005;


A1= (1 +1/beta)+phi^2*(1+beta*deltak^2);
A2=1+phi^2*beta*deltak;
A3=(1+beta*phi^2*deltak)/beta;


B1=(1+.8^2*beta)/sigma;
B2=.8*beta/sigma;
B3=.8/sigma;

C1=(1+.5^2*beta)/(100*sigma);
C2=(.5*beta)/(100*sigma);
C3=.5/(100*sigma);


con1=5*(1-.8*beta)*(1-.8)/sigma;
con2=30*(1-.5*beta)*(1-.5)/(100*sigma);

M1=zeros(8);
M1(1,:)=[-A2  0 0 0 A1 1 -1 0];
M1(2,:)=[-1 -B2 0 -con1 1/beta 1+B1 -1 0];
M1(3,:)=[1 0 -C2 -con2 -1/beta -1 1+C1 0];

M1(4:8,4:8)=eye(5);



M2=zeros(8);


M2(1,:) =[0 0 0 0 A3 1 -1 0] ;
M2(2,:)=[0 0 0 0 0 B3 0 0];
M2(3,:)=[0 0 0 0  0 0 C3 0];
M2(4,4)=1;
M2(5,1)=1;
M2(6,2)=1;
M2(7,3)=1;
M2(8,8)=1;



nx=4
vaughan

 return

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%

%   to eliminate the constants use the following

MM1=cold(M1,8);
MMM1=cold(MM1,4);
m1=rowd(MMM1,8);
M1=rowd(m1,4);

MM2=cold(M2,8);
MMM2=cold(MM2,4);
m2=rowd(MMM2,8);
M2=rowd(m2,4);


nx=3;

vaughan

